import { j as i } from "../../node_modules/react/jsx-runtime.js";
import { cn as x } from "../../utils/index.js";
function m({
  className: r,
  name: o,
  variant: a = "regular",
  size: s = "xs",
  ...n
}) {
  const t = `bx${{ regular: "", solid: "s", logo: "l" }[a]}-${o} bx-${s}`;
  return /* @__PURE__ */ i.jsx("i", { className: x("bx", t, r), ...n });
}
export {
  m as Icon
};
